package com.fs.store.mapper;

import java.util.List;
import com.fs.store.domain.FsLevel;

/**
 * 设置用户等级Mapper接口
 * 
 * @author fs
 * @date 2022-03-15
 */
public interface FsLevelMapper 
{
    /**
     * 查询设置用户等级
     * 
     * @param id 设置用户等级ID
     * @return 设置用户等级
     */
    public FsLevel selectFsLevelById(Long id);

    /**
     * 查询设置用户等级列表
     * 
     * @param fsLevel 设置用户等级
     * @return 设置用户等级集合
     */
    public List<FsLevel> selectFsLevelList(FsLevel fsLevel);

    /**
     * 新增设置用户等级
     * 
     * @param fsLevel 设置用户等级
     * @return 结果
     */
    public int insertFsLevel(FsLevel fsLevel);

    /**
     * 修改设置用户等级
     * 
     * @param fsLevel 设置用户等级
     * @return 结果
     */
    public int updateFsLevel(FsLevel fsLevel);

    /**
     * 删除设置用户等级
     * 
     * @param id 设置用户等级ID
     * @return 结果
     */
    public int deleteFsLevelById(Long id);

    /**
     * 批量删除设置用户等级
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteFsLevelByIds(Long[] ids);
}
